#ifndef DEFINITION_FINDER_H_INCLUDED_
#define DEFINITION_FINDER_H_INCLUDED_

#include "rose.h"

namespace risc
{

namespace traverser
{

/**
 * \brief    Searches for the associated SgFunctionDefinition of a given
 *           SgFunctionDeclaration. The searching respects all input files.
 *
 * \return   Null if no pointer exists.
 */
SgFunctionDefinition*
get_function_definition(SgFunctionDeclaration *func_decl);


}; // end namespace traverser

}; // end namespace risc

#endif /* DEFINITION_FINDER_H_INCLUDED_ */

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
