#include "systemc.h"

SC_MODULE(Sender)
{
  SC_CTOR(Sender)
  {

  }

  sc_fifo_in<int> port_in;
  sc_fifo_out<int> port_out;
};

SC_MODULE(Receiver)
{
  SC_CTOR(Receiver)
  {

  }

  sc_fifo_in<int> port_in;
  sc_fifo_out<int> port_out;
};


SC_MODULE(Testbench)
{
  sc_fifo<int> fi;
  sc_fifo<int> fifo[3];
  sc_signal<int> signal[2];
  sc_in<int> in_port [2];
  sc_out<int> out_port [2];
  sc_out<int> out_port2 [2];
  sc_inout<int> inout_port [2];
  sc_event e [2];

  double d[2];

  SC_CTOR(Testbench)
  {

  }

};


int sc_main(int argc, char**argv)
{
  Testbench tb("tb");

  sc_start();
  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
