#include "systemc.h"

SC_MODULE(Foo)
{
  void func1(){}
  void func2(){}
  void func3(){}
  void func4(){}
  void func5(){}


  sc_event e1, e2;

  sc_in_clk in_clk;
  sc_in<int> port_in;

  sc_out_clk out_clk;
  sc_out<int> port_out;

  sc_inout_clk inout_clk;
  sc_inout<int> port_in_out;


  SC_CTOR(Foo)
  {
    SC_THREAD(func1);
    sensitive << e1 << port_in;

    SC_CTHREAD(func2,in_clk);

    //SC_CTHREAD(func3,e1);

    SC_METHOD(func4);
    sensitive << port_in << port_out << port_in_out << e2;


    SC_METHOD(func5);
    sensitive << e1 << e2;
    sensitive << port_in;
  }

};

int sc_main(int argc, char **argv)
{
  Foo foo("foo");
  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
